Name: libcpath
Version: 20240109
Release: 1
Summary: Library to support cross-platform C path functions
Group: System Environment/Libraries
License: LGPL-3.0-or-later
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libcpath
    
BuildRequires: gcc    

%description -n libcpath
Library to support cross-platform C path functions

%package -n libcpath-static
Summary: Library to support cross-platform C path functions
Group: Development/Libraries
Requires: libcpath = %{version}-%{release}

%description -n libcpath-static
Static library version of libcpath.

%package -n libcpath-devel
Summary: Header files and libraries for developing applications for libcpath
Group: Development/Libraries
Requires: libcpath = %{version}-%{release}

%description -n libcpath-devel
Header files and libraries for developing applications for libcpath.

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libcpath
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so.*

%files -n libcpath-static
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.a

%files -n libcpath-devel
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcpath.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Tue Jan  9 2024 Joachim Metz <joachim.metz@gmail.com> 20240109-1
- Auto-generated

